PDA

View Full Version : Photoshop 5 LE



panda
4th October 2004, 07:47 PM
Is anyone using Photoshop 5.0 LE with OS X.
Does it work or do I need to get PS Elements ? :unsure:

panda
5th October 2004, 07:58 PM
OK I gues that means noone is using it.

I worked the answer out for myself anyway by trying it on my bosses iMAC g4 and it operates under Classic of course.

blakat
7th October 2004, 08:00 AM
Sounds like you've already got it sorted, PS LE 5 is an OS 9 based app, it should run correctly in classic. PhotoShop Elements 2 was the first of the light versions of PhotoShop to run natively in OS X.

bernie234
10th October 2004, 10:42 PM
Originally posted by panda@Oct 4 2004, 07:47 PM
Is anyone using Photoshop 5.0 LE with OS X.
Does it work or do I need to get PS Elements ? :unsure:
get elements 3. Not long been released but Check it out on the adobe web site, you will be more than pleased :D